Modify

Opened 10 years ago

Closed 7 years ago

Last modified 7 years ago

#4899 closed defect (fixed)

exception within conflict manager

Reported by: skyper Owned by: team
Priority: major Milestone:
Component: Core Version: latest
Keywords: conflict id:0 merge Cc:

Description (last modified by skyper)

I merged 2 osms.

I get one conflict on a route-relation. The conflicts is about members.
I chose all my members and wanted to add a member from their (id:0) when the conflict arose.

r3184 with sun

Attachments (2)

josm_bug_4899.tar.bz2 (289.2 KB) - added by skyper 10 years ago.
2 osm, console log + status log
josm_bug_4899_2.tar.bz2 (347.3 KB) - added by skyper 9 years ago.
2 osm

Download all attachments as: .zip

Change History (22)

Changed 10 years ago by skyper

Attachment: josm_bug_4899.tar.bz2 added

2 osm, console log + status log

comment:1 Changed 10 years ago by skyper

Bug exists already in r3179

comment:2 Changed 10 years ago by skyper

With tested r3094 no exception but I can not add any member from their with id:0 !!!

I have to admit that both osm are edited offline and have objects with id:0.

comment:3 Changed 10 years ago by skyper

Keywords: id:0 added

comment:4 Changed 10 years ago by stoecker

Priority: blockernormal

comment:5 Changed 9 years ago by skyper

It happend again:

First I merge two files of different areas. I solved 3 conflicts and everything worked all right. -> save.osm
Then I merged "third.osm" with some overlapping areas. I solved the first conflict (route-relation id:69199). This also worked, but then I opened the relation in the relation-editor to investigate the result. I change slitly the order of some elements. Trying to save I got the exception.

I attach the save.osm and third.osm

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2010-04-27 01:31:18
Last Changed Author: bastiK
Revision: 3210
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2010-04-26 23:25:10 +0200 (Mon, 26 Apr 2010)
Last Changed Rev: 3210

Memory Usage: 740 MB / 1820 MB (494 MB allocated, but free)
Java version: 1.6.0_0, Sun Microsystems Inc., OpenJDK 64-Bit Server VM
Operating system: Linux

Dataset consistency test:
No problems found


Plugins: ColumbusCSV,colorscheme,remotecontrol,tageditor,validator
Plugin colorscheme (Version: 19426)
Plugin ColumbusCSV (Version: 299)
Plugin tageditor (Version: 20530)
Plugin remotecontrol (Version: 19946)
Plugin validator (Version: 20799)

java.lang.NullPointerException
	at org.openstreetmap.josm.gui.tagging.ac.AutoCompletionManager.cachePrimitiveTags(AutoCompletionManager.java:128)
	at org.openstreetmap.josm.gui.tagging.ac.AutoCompletionManager.cachePrimitives(AutoCompletionManager.java:112)
	at org.openstreetmap.josm.gui.tagging.ac.AutoCompletionManager.tagsChanged(AutoCompletionManager.java:303)
	at org.openstreetmap.josm.data.osm.event.TagsChangedEvent.fire(TagsChangedEvent.java:24)
	at org.openstreetmap.josm.data.osm.DataSet.fireEvent(DataSet.java:818)
	at org.openstreetmap.josm.data.osm.DataSet.fireTagsChanged(DataSet.java:836)
	at org.openstreetmap.josm.data.osm.OsmPrimitive.keysChangedImpl(OsmPrimitive.java:966)
	at org.openstreetmap.josm.data.osm.OsmPrimitive.setKeys(OsmPrimitive.java:843)
	at org.openstreetmap.josm.data.osm.OsmPrimitive.cloneFrom(OsmPrimitive.java:1101)
	at org.openstreetmap.josm.data.osm.Relation.cloneFrom(Relation.java:181)
	at org.openstreetmap.josm.command.ChangeCommand.executeCommand(ChangeCommand.java:45)
	at org.openstreetmap.josm.data.UndoRedoHandler.addNoRedraw(UndoRedoHandler.java:38)
	at org.openstreetmap.josm.data.UndoRedoHandler.add(UndoRedoHandler.java:64)
	at org.openstreetmap.josm.gui.dialogs.relation.GenericRelationEditor$SavingAction.applyExistingNonConflictingRelation(GenericRelationEditor.java:1073)
	at org.openstreetmap.josm.gui.dialogs.relation.GenericRelationEditor$OKAction.run(GenericRelationEditor.java:1184)
	at org.openstreetmap.josm.gui.dialogs.relation.GenericRelationEditor$OKAction.actionPerformed(GenericRelationEditor.java:1191)
	at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:2012)
	at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2335)
	at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:404)
	at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:259)
	at javax.swing.plaf.basic.BasicButtonListener.mouseReleased(BasicButtonListener.java:253)
	at java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:289)
	at java.awt.Component.processMouseEvent(Component.java:6108)
	at javax.swing.JComponent.processMouseEvent(JComponent.java:3267)
	at java.awt.Component.processEvent(Component.java:5873)
	at java.awt.Container.processEvent(Container.java:2105)
	at java.awt.Component.dispatchEventImpl(Component.java:4469)
	at java.awt.Container.dispatchEventImpl(Container.java:2163)
	at java.awt.Component.dispatchEvent(Component.java:4295)
	at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4461)
	at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4125)
	at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4055)
	at java.awt.Container.dispatchEventImpl(Container.java:2149)
	at java.awt.Window.dispatchEventImpl(Window.java:2478)
	at java.awt.Component.dispatchEvent(Component.java:4295)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:604)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:275)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:200)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:190)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:185)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:177)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:138)

console_log

Using /usr/lib/jvm/java-6-openjdk/bin/java to execute josm.
Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2010-04-27 01:31:18
Last Changed Author: bastiK
Revision: 3210
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2010-04-26 23:25:10 +0200 (Mon, 26 Apr 2010)
Last Changed Rev: 3210

Error parsing gtk-icon-sizes string: ''
lade Plugin 'colorscheme' (Version 19426)
lade Plugin 'ColumbusCSV' (Version 299)
lade Plugin 'tageditor' (Version 20530)
lade Plugin 'remotecontrol' (Version 19946)
lade Plugin 'validator' (Version 20799)
RemoteControl::Accepting connections on port 8111
Open file: /media/GPS/maps/upload/FR_Zähringen_100413_02.osm (1894246 bytes)
Open file: /media/GPS/maps/upload/FR_Wiehre_u_s_100413_03.osm (1249242 bytes)
1 conflict has been resolved.
1 conflict has been resolved.
1 conflict has been resolved.
1 conflict has been resolved.
1 conflict has been resolved.
1 conflict has been resolved.
1 conflict has been resolved.
1 conflict has been resolved.
Silent shortcut conflict: 'relationeditor:sort' moved by 'menu:Tools' to 'Alt+D'
.
Open file: /media/GPS/maps/upload/FR_Wiehre_u_n_100413_01.osm (1685143 bytes)
1 conflict has been resolved.
1 conflict has been resolved.
java.lang.NullPointerException
        at org.openstreetmap.josm.gui.tagging.ac.AutoCompletionManager.cachePrimitiveTags(AutoCompletionManager.java:128)
        at org.openstreetmap.josm.gui.tagging.ac.AutoCompletionManager.cachePrimitives(AutoCompletionManager.java:112)
        at org.openstreetmap.josm.gui.tagging.ac.AutoCompletionManager.tagsChanged(AutoCompletionManager.java:303)
        at org.openstreetmap.josm.data.osm.event.TagsChangedEvent.fire(TagsChangedEvent.java:24)
        at org.openstreetmap.josm.data.osm.DataSet.fireEvent(DataSet.java:818)
        at org.openstreetmap.josm.data.osm.DataSet.fireTagsChanged(DataSet.java:836)
        at org.openstreetmap.josm.data.osm.OsmPrimitive.keysChangedImpl(OsmPrimitive.java:966)
        at org.openstreetmap.josm.data.osm.OsmPrimitive.setKeys(OsmPrimitive.java:843)
        at org.openstreetmap.josm.data.osm.OsmPrimitive.cloneFrom(OsmPrimitive.java:1101)
        at org.openstreetmap.josm.data.osm.Relation.cloneFrom(Relation.java:181)
        at org.openstreetmap.josm.command.ChangeCommand.executeCommand(ChangeCommand.java:45)
        at org.openstreetmap.josm.data.UndoRedoHandler.addNoRedraw(UndoRedoHandler.java:38)
        at org.openstreetmap.josm.data.UndoRedoHandler.add(UndoRedoHandler.java:64)
        at org.openstreetmap.josm.gui.dialogs.relation.GenericRelationEditor$SavingAction.applyExistingNonConflictingRelation(GenericRelationEditor.java:1073)
        at org.openstreetmap.josm.gui.dialogs.relation.GenericRelationEditor$OKAction.run(GenericRelationEditor.java:1184)
        at org.openstreetmap.josm.gui.dialogs.relation.GenericRelationEditor$OKAction.actionPerformed(GenericRelationEditor.java:1191)
        at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:2012)
        at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2335)
        at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:404)
        at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:259)
        at javax.swing.plaf.basic.BasicButtonListener.mouseReleased(BasicButtonListener.java:253)
        at java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:289)
        at java.awt.Component.processMouseEvent(Component.java:6108)
        at javax.swing.JComponent.processMouseEvent(JComponent.java:3267)
        at java.awt.Component.processEvent(Component.java:5873)
        at java.awt.Container.processEvent(Container.java:2105)
        at java.awt.Component.dispatchEventImpl(Component.java:4469)
        at java.awt.Container.dispatchEventImpl(Container.java:2163)
        at java.awt.Component.dispatchEvent(Component.java:4295)
        at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4461)
        at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4125)
        at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4055)
        at java.awt.Container.dispatchEventImpl(Container.java:2149)
        at java.awt.Window.dispatchEventImpl(Window.java:2478)
        at java.awt.Component.dispatchEvent(Component.java:4295)
        at java.awt.EventQueue.dispatchEvent(EventQueue.java:604)
        at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:275)
        at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:200)
        at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:190)
        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:185)
        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:177)
        at java.awt.EventDispatchThread.run(EventDispatchThread.java:138)

Changed 9 years ago by skyper

Attachment: josm_bug_4899_2.tar.bz2 added

2 osm

comment:6 Changed 9 years ago by skyper

Priority: normalmajor

I get consistantly exception trying to edit relations of save.osm. Seems to me that merging two edited osm files does not realy work !

comment:7 Changed 9 years ago by bastiK

This is unrelated and caused by my changes yesterday, please open another report.

comment:8 Changed 9 years ago by skyper

Keywords: merge added; id:0 removed

Now it also happend after only "update data" and solving a route-relation-conflict.

Might have to do something with #4791.

r3210, openjdk and gtk

comment:9 in reply to:  7 Changed 9 years ago by skyper

Replying to bastiK:

This is unrelated and caused by my changes yesterday, please open another report.

Which one ?
I get the same status.log for both situations.

comment:10 Changed 9 years ago by skyper

After I got the exception while editing a relation I went on working trying to solve the conflicts but now I get the exception also solving conflicts. Solving works if I only chose theirs but if I take only one my elements it does not work. I also can not undo the solution. Then I get again the same exception.

If you need more osm-files just tell.

comment:11 Changed 9 years ago by bastiK

(In [3213]) see #4899 (fixed bug from the autocomplete rework)

comment:12 Changed 9 years ago by bastiK

everything that has "AutoComplete" in the stack trace is not related to earlier problems, but introduced yesterday

comment:13 Changed 9 years ago by skyper

Keywords: id:0 added; merge removed

comment:14 Changed 9 years ago by skyper

Keywords: merge added

comment:15 Changed 9 years ago by skyper

still in r3823

comment:16 Changed 8 years ago by skyper

still in r4177

just merge the two files from attachment/ticket/4899/josm_bug_4899.tar.bz2 (their onto my).
Using all their members throws following exception:

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2011-06-27 01:31:44
Last Changed Author: stoecker
Revision: 4177
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2011-06-26 17:45:48 +0200 (Sun, 26 Jun 2011)
Last Changed Rev: 4177

Identification: JOSM/1.5 (4177 en)
Memory Usage: 48 MB / 248 MB (19 MB allocated, but free)
Java version: 1.6.0_18, Sun Microsystems Inc., OpenJDK Client VM
Operating system: Linux
Dataset consistency test: No problems found

Plugin: Curves (16.master-4f7c5a0)
Plugin: OpeningHoursEditor (26174)
Plugin: alignways (26174)
Plugin: buildings_tools (26174)
Plugin: multipoly-convert (26174)
Plugin: reltoolbox (26174)
Plugin: reverter (26174)
Plugin: terracer (26174)
Plugin: turnlanes (26192)
Plugin: undelete (26174)
Plugin: utilsplugin2 (26174)
Plugin: waydownloader (26174)

java.lang.NullPointerException
	at org.openstreetmap.josm.gui.conflict.pair.ListMergeModel.copy(ListMergeModel.java:350)
	at org.openstreetmap.josm.gui.conflict.pair.ListMergeModel.copyAll(ListMergeModel.java:371)
	at org.openstreetmap.josm.gui.conflict.pair.ListMerger$CopyAllRight.actionPerformed(ListMerger.java:674)
	at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:2012)
	at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2335)
	at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:404)
	at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:259)
	at javax.swing.plaf.basic.BasicButtonListener.mouseReleased(BasicButtonListener.java:253)
	at java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:289)
	at java.awt.Component.processMouseEvent(Component.java:6136)
	at javax.swing.JComponent.processMouseEvent(JComponent.java:3267)
	at java.awt.Component.processEvent(Component.java:5901)
	at java.awt.Container.processEvent(Container.java:2105)
	at java.awt.Component.dispatchEventImpl(Component.java:4497)
	at java.awt.Container.dispatchEventImpl(Container.java:2163)
	at java.awt.Component.dispatchEvent(Component.java:4323)
	at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4461)
	at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4125)
	at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4055)
	at java.awt.Container.dispatchEventImpl(Container.java:2149)
	at java.awt.Window.dispatchEventImpl(Window.java:2478)
	at java.awt.Component.dispatchEvent(Component.java:4323)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:649)
	at java.awt.EventQueue.access$000(EventQueue.java:96)
	at java.awt.EventQueue$1.run(EventQueue.java:608)
	at java.awt.EventQueue$1.run(EventQueue.java:606)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:105)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:116)
	at java.awt.EventQueue$2.run(EventQueue.java:622)
	at java.awt.EventQueue$2.run(EventQueue.java:620)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:105)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:619)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:275)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:200)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:194)
	at java.awt.Dialog$1.run(Dialog.java:1072)
	at java.awt.Dialog$3.run(Dialog.java:1126)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.awt.Dialog.show(Dialog.java:1124)
	at java.awt.Component.show(Component.java:1492)
	at java.awt.Component.setVisible(Component.java:1444)
	at java.awt.Window.setVisible(Window.java:842)
	at java.awt.Dialog.setVisible(Dialog.java:1011)
	at org.openstreetmap.josm.gui.dialogs.ConflictResolutionDialog.setVisible(ConflictResolutionDialog.java:117)
	at org.openstreetmap.josm.gui.dialogs.ConflictDialog.resolve(ConflictDialog.java:150)
	at org.openstreetmap.josm.gui.dialogs.ConflictDialog.access$000(ConflictDialog.java:58)
	at org.openstreetmap.josm.gui.dialogs.ConflictDialog$ResolveAction.actionPerformed(ConflictDialog.java:348)
	at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:2012)
	at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2335)
	at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:404)
	at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:259)
	at javax.swing.plaf.basic.BasicButtonListener.mouseReleased(BasicButtonListener.java:253)
	at java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:289)
	at java.awt.Component.processMouseEvent(Component.java:6136)
	at javax.swing.JComponent.processMouseEvent(JComponent.java:3267)
	at java.awt.Component.processEvent(Component.java:5901)
	at java.awt.Container.processEvent(Container.java:2105)
	at java.awt.Component.dispatchEventImpl(Component.java:4497)
	at java.awt.Container.dispatchEventImpl(Container.java:2163)
	at java.awt.Component.dispatchEvent(Component.java:4323)
	at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4461)
	at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4125)
	at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4055)
	at java.awt.Container.dispatchEventImpl(Container.java:2149)
	at java.awt.Window.dispatchEventImpl(Window.java:2478)
	at java.awt.Component.dispatchEvent(Component.java:4323)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:649)
	at java.awt.EventQueue.access$000(EventQueue.java:96)
	at java.awt.EventQueue$1.run(EventQueue.java:608)
	at java.awt.EventQueue$1.run(EventQueue.java:606)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:105)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:116)
	at java.awt.EventQueue$2.run(EventQueue.java:622)
	at java.awt.EventQueue$2.run(EventQueue.java:620)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:105)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:619)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:275)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:200)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:190)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:185)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:177)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:138)

comment:17 Changed 8 years ago by skyper

Ticket #6493 has been marked as a duplicate of this ticket.

comment:18 Changed 8 years ago by skyper

Description: modified (diff)

reproduced with r4707, source code changed a bit:

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2011-12-24 02:32:07
Last Changed Author: simon04
Revision: 4707
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2011-12-24 00:26:04 +0100 (Sat, 24 Dec 2011)
Last Changed Rev: 4707

Identification: JOSM/1.5 (4707 de)
Memory Usage: 48 MB / 248 MB (10 MB allocated, but free)
Java version: 1.6.0_18, Sun Microsystems Inc., OpenJDK Client VM
Operating system: Linux
Dataset consistency test: No problems found


java.lang.NullPointerException
	at org.openstreetmap.josm.gui.conflict.pair.ListMergeModel.copy(ListMergeModel.java:348)
	at org.openstreetmap.josm.gui.conflict.pair.ListMergeModel.copyAll(ListMergeModel.java:369)
	at org.openstreetmap.josm.gui.conflict.pair.ListMerger$CopyAllRight.actionPerformed(ListMerger.java:672)
	at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:2012)
	at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2335)
	at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:404)
	at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:259)
	at javax.swing.plaf.basic.BasicButtonListener.mouseReleased(BasicButtonListener.java:253)
	at java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:289)
	at java.awt.Component.processMouseEvent(Component.java:6136)
	at javax.swing.JComponent.processMouseEvent(JComponent.java:3267)
	at java.awt.Component.processEvent(Component.java:5901)
	at java.awt.Container.processEvent(Container.java:2105)
	at java.awt.Component.dispatchEventImpl(Component.java:4497)
	at java.awt.Container.dispatchEventImpl(Container.java:2163)
	at java.awt.Component.dispatchEvent(Component.java:4323)
	at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4461)
	at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4125)
	at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4055)
	at java.awt.Container.dispatchEventImpl(Container.java:2149)
	at java.awt.Window.dispatchEventImpl(Window.java:2478)
	at java.awt.Component.dispatchEvent(Component.java:4323)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:649)
	at java.awt.EventQueue.access$000(EventQueue.java:96)
	at java.awt.EventQueue$1.run(EventQueue.java:608)
	at java.awt.EventQueue$1.run(EventQueue.java:606)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:105)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:116)
	at java.awt.EventQueue$2.run(EventQueue.java:622)
	at java.awt.EventQueue$2.run(EventQueue.java:620)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:105)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:619)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:275)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:200)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:194)
	at java.awt.Dialog$1.run(Dialog.java:1072)
	at java.awt.Dialog$3.run(Dialog.java:1126)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.awt.Dialog.show(Dialog.java:1124)
	at java.awt.Component.show(Component.java:1492)
	at java.awt.Component.setVisible(Component.java:1444)
	at java.awt.Window.setVisible(Window.java:842)
	at java.awt.Dialog.setVisible(Dialog.java:1011)
	at org.openstreetmap.josm.gui.dialogs.ConflictResolutionDialog.setVisible(ConflictResolutionDialog.java:62)
	at org.openstreetmap.josm.gui.dialogs.ConflictDialog.resolve(ConflictDialog.java:145)
	at org.openstreetmap.josm.gui.dialogs.ConflictDialog.access$000(ConflictDialog.java:56)
	at org.openstreetmap.josm.gui.dialogs.ConflictDialog$ResolveAction.actionPerformed(ConflictDialog.java:343)
	at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:2012)
	at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2335)
	at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:404)
	at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:259)
	at javax.swing.plaf.basic.BasicButtonListener.mouseReleased(BasicButtonListener.java:253)
	at java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:289)
	at java.awt.Component.processMouseEvent(Component.java:6136)
	at javax.swing.JComponent.processMouseEvent(JComponent.java:3267)
	at java.awt.Component.processEvent(Component.java:5901)
	at java.awt.Container.processEvent(Container.java:2105)
	at java.awt.Component.dispatchEventImpl(Component.java:4497)
	at java.awt.Container.dispatchEventImpl(Container.java:2163)
	at java.awt.Component.dispatchEvent(Component.java:4323)
	at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4461)
	at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4125)
	at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4055)
	at java.awt.Container.dispatchEventImpl(Container.java:2149)
	at java.awt.Window.dispatchEventImpl(Window.java:2478)
	at java.awt.Component.dispatchEvent(Component.java:4323)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:649)
	at java.awt.EventQueue.access$000(EventQueue.java:96)
	at java.awt.EventQueue$1.run(EventQueue.java:608)
	at java.awt.EventQueue$1.run(EventQueue.java:606)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:105)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:116)
	at java.awt.EventQueue$2.run(EventQueue.java:622)
	at java.awt.EventQueue$2.run(EventQueue.java:620)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:105)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:619)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:275)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:200)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:190)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:185)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:177)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:138)

comment:19 Changed 7 years ago by Don-vip

In 5298/josm:

see #4899, see #7266, see #7333: Resolved NPE in conflict manager when copying a member created by merging two layers

comment:20 Changed 7 years ago by skyper

Resolution: fixed
Status: newclosed

Can not reproduce with r5329 -> fixed in r5298

Last edited 7 years ago by skyper (previous) (diff)

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.